﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Axes 속성을 사용해 축 제목 설정하기";

            this.tChart.Panel.Pen               = new ChartPen(Color.Black);
            this.tChart.Axes.Left.Title.Angle   = 90;
            this.tChart.Axes.Left.Title.Caption = "Temperature [C]";
            this.tChart.Axes.Left.Title.Visible = true;

            Points points = new Points(this.tChart.Chart);

            points.FillSampleValues(20);
        }

        #endregion
    }
}